Package org.eclipse.gef.mvc.fx.providers

## Class ResizableTransformableBoundsProvider

- java.lang.Object
- - org.eclipse.gef.common.adapt.IAdaptable.Bound.Impl<IVisualPart<? extends javafx.scene.Node>>
  - - org.eclipse.gef.mvc.fx.providers.ResizableTransformableBoundsProvider

All Implemented Interfaces:
  `Provider<IGeometry>`, `javax.inject.Provider<IGeometry>`, `IAdaptable.Bound<IVisualPart<? extends javafx.scene.Node>>`

Direct Known Subclasses:
  `ResizableTransformableOutlineProvider`

    public class ResizableTransformableBoundsProvider
    extends IAdaptable.Bound.Impl<IVisualPart<? extends javafx.scene.Node>>
    implements Provider<IGeometry>

The `ResizableTransformableBoundsProvider` returns bounds according to the size and transformation as returned by the part API, i.e. `IResizableContentPart` and `ITransformableContentPart`.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.gef.common.adapt.IAdaptable.Bound

`IAdaptable.Bound.Impl<T extends IAdaptable>`

### Constructor Summary

Constructors
`ResizableTransformableBoundsProvider()`

### Method Summary

All Methods Instance Methods Concrete Methods
`IGeometry` `get()`

### Methods inherited from class org.eclipse.gef.common.adapt.IAdaptable.Bound.Impl

`adaptableProperty, getAdaptable, setAdaptable`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ResizableTransformableBoundsProvider

    public ResizableTransformableBoundsProvider()

### Method Detail

#### get

    public IGeometry get()

Specified by:
  `get` in interface `Provider<IGeometry>`
Specified by:
  `get` in interface `javax.inject.Provider<IGeometry>`